import type { AdjustHeightPropType, CSSResize, HasCounterPropType, HideErrorPropType, IdPropType, InputTypeOnDefault, LabelWithExpertSlotPropType, NamePropType, RowsPropType, SyncValueBySelectorPropType, TextareaAPI, TextareaStates, TooltipAlignPropType } from '@public-ui/schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolTextarea implements TextareaAPI {
    private readonly host?;
    private ref?;
    private readonly catchRef;
    getValue(): Promise<string | undefined>;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _adjustHeight?: boolean;
    _alert?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hasCounter?: boolean;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _maxLength?: number;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _placeholder?: string;
    _readOnly?: boolean;
    _resize?: CSSResize;
    _required?: boolean;
    _rows?: RowsPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: string;
    state: TextareaStates;
    constructor();
    validateAccessKey(value?: string): void;
    validateAdjustHeight(value?: AdjustHeightPropType): void;
    validateAlert(value?: boolean): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHasCounter(value?: HasCounterPropType): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMaxLength(value?: number): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validatePlaceholder(value?: string): void;
    validateReadOnly(value?: boolean): void;
    validateResize(value?: CSSResize): void;
    validateRequired(value?: boolean): void;
    validateRows(value?: RowsPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: string): void;
    componentDidLoad(): void;
    componentWillLoad(): void;
    private readonly onInput;
}
